<?php

/**  // € // to identify files as UTF8
 * Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL
 *
 * @module          lib_setuphelper
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-07
 * @lepador_link    http://www.lepton-cms.com/lepador/library/lib_setuphelper.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049
*/


// load filemanager
	if ( count( get_included_files() ) < 2 ) die();

	global $lepton_filemanager;
	if ( is_object($lepton_filemanager) == FALSE ):
		require_once( '../../framework/class.lepton.filemanager.php' );
	endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/lib_setuphelper/README.de.php';
$files_to_register[] = '/modules/lib_setuphelper/README.en.php';
$files_to_register[] = '/modules/lib_setuphelper/classes/class.setup.php';
$files_to_register[] = '/modules/lib_setuphelper/examples/_setup.php';
$files_to_register[] = '/modules/lib_setuphelper/info.php';
$files_to_register[] = '/modules/lib_setuphelper/install_dependency.php';
$files_to_register[] = '/modules/lib_setuphelper/languages/DE.php';
$files_to_register[] = '/modules/lib_setuphelper/languages/EN.php';
$files_to_register[] = '/modules/lib_setuphelper/lib/functions/function.get_last_file_list.php';
$files_to_register[] = '/modules/lib_setuphelper/lib/lib.backend.functions.php';
$files_to_register[] = '/modules/lib_setuphelper/library.php';
$files_to_register[] = '/modules/lib_setuphelper/load_includes.php';
$files_to_register[] = '/modules/lib_setuphelper/precheck.php';
$files_to_register[] = '/modules/lib_setuphelper/register_initial.php';
$files_to_register[] = '/modules/lib_setuphelper/register_language.php';

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
