<?php

/**  // € // to identify files as UTF8
 * Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL
 *
 * @module          lib_setuphelper
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-07
 * @lepador_link    http://www.lepton-cms.com/lepador/library/lib_setuphelper.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// load the modules info.php
	require ( dirname(__FILE__) . DIRECTORY_SEPARATOR . 'info.php' );

// define Path & URL used to access this module and extensions
	$tmpA = array( 'modules', $module_directory );
	$tmpS = DIRECTORY_SEPARATOR . implode( DIRECTORY_SEPARATOR, $tmpA ) . DIRECTORY_SEPARATOR;
	$dbs_modulePath = LEPTON_PATH . $tmpS;
	$dbs_moduleUrl  = LEPTON_URL  . $tmpS;

// define Path & URL for module enhancements
	if ( defined( 'TEMPLATE' ) == TRUE ):
		$tmpA = array( 'templates', TEMPLATE, 'frontend', $module_directory );
	else:
		$tmpA = array( 'templates', DEFAULT_THEME, 'backend', $module_directory );
	endif;
	$tmpS = DIRECTORY_SEPARATOR . implode( DIRECTORY_SEPARATOR, $tmpA ) . DIRECTORY_SEPARATOR;
	$dbs_templatePath = LEPTON_PATH . $tmpS;
	$dbs_templateUrl  = LEPTON_URL  . $tmpS;

// define folder of twig template files in modul directory
	if ( defined( 'TEMPLATE' ) == TRUE ):
		$tmpA = array( 'templates', 'frontend' );
	else:
		$tmpA = array( 'templates', 'backend' );
	endif;
	$dbs_templateFolder = DIRECTORY_SEPARATOR . implode( DIRECTORY_SEPARATOR, $tmpA ) . DIRECTORY_SEPARATOR;

	unset( $tmpA );
	unset( $tmpS );

?>
