<?php

/**  // € // to identify files as UTF8
 * Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL
 *
 * @module          lib_setuphelper
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-07
 * @lepador_link    http://www.lepton-cms.com/lepador/library/lib_setuphelper.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php

$module_directory     = 'lib_setuphelper';
$module_name          = 'Setup helping library';
$module_function      = 'library';
$module_version       = '1.04.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL';
$module_guid          = '75de805b-6ee3-47df-91bc-c5746bee12ad';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/library/lib_setuphelper.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049';


/*
Changelog
------------------------------------------------------------------------------------------------------
1.04.000		Wed Dec  7 16:08:14 UTC 2016		WolfgangStuder		...
1.03.000		Sun Dec  4 16:49:33 UTC 2016		WolfgangStuder		...
1.02.000		Sun Dec  4 16:47:58 UTC 2016		WolfgangStuder		...
1.01.000		Fri Dec  2 20:27:10 UTC 2016		WolfgangStuder		various smaller allignments
1.00.000		Fri Nov 11 22:11:45 UTC 2016		WolfgangStuder		first public release
*/

?>
