<?php

/**  // € // to identify files as UTF8
 * Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL
 *
 * @module          lib_setuphelper
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-07
 * @lepador_link    http://www.lepton-cms.com/lepador/library/lib_setuphelper.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/*	**************************************
	*
	* (re-)create dependency registrations
	*
	**************************************
*/
// include dependency library only when exists and not yet defined
// register the childs.
	if ( class_exists ( 'dependency', FALSE ) == FALSE ):
		$include = LEPTON_PATH . '/modules/lib_dependency/library.php';
		if ( file_exists( $include ) == TRUE ):
			include_once( $include );
		endif;
	endif;

	if ( class_exists ( 'dependency', FALSE ) == TRUE ):
		// when child dependencies are available, remove them
		dbs_removeDependencies( 'lib_setuphelper' );

		// create as many parent (your module) --> child dependencies
		// from precheck.php WB_ADDONS array elements
		dbs_precheckRegister( 'lib_setuphelper' );



	endif;

?>
