<?php

/**  // € // to identify files as UTF8
 * Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL
 *
 * @module          lib_setuphelper
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-07
 * @lepador_link    http://www.lepton-cms.com/lepador/library/lib_setuphelper.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


//Modul Description
	$module_description = 'Stellt generelle Funktionen zur Verfügung für den install, upgrade, uninstall,'
	. 'add und delete Prozess. Für den UPGRADE Prozess führt er einen ALTER TABLE inklusive dem Erstellen'
	. 'einer Backup Tabelle automatisch bei Bedarf aus.'
	. 'Zusätzlich ermöglicht das Modul eine Bereinigung des Modul Verzeichnisses.';

// errors
	$MOD_LIB_SETUPHELPER['EMPTY_SETUP']			= 'Setup Konfiguration ist leer';
	$MOD_LIB_SETUPHELPER['UNKNOWN_TRIGGER']		= 'Uebergebener Trigger Code ist ungültig';
	$MOD_LIB_SETUPHELPER['MISSING_FIELDS']		= 'Keine Felder definiert für die Tabellenerstellung';
	$MOD_LIB_SETUPHELPER['MISSING_MANDATORY']	= 'Notwendiges Element fehlt';
	$MOD_LIB_SETUPHELPER['FAILED']				= 'Fehler';
	$MOD_LIB_SETUPHELPER['SQL_ERROR']			= 'Fehler während SQL Ausführung';

// infos
	$MOD_LIB_SETUPHELPER['DO_FALSE']				= 'Die DO Aktion ist ausgeschalten';
	$MOD_LIB_SETUPHELPER['CHECK']				= 'Datenprüfung';
	$MOD_LIB_SETUPHELPER['QUERY']				= 'Abfragen Inhalt';
	$MOD_LIB_SETUPHELPER['CONTENT']				= 'Informations Inhalt';
	$MOD_LIB_SETUPHELPER['START']				= 'Start Aufzeichnung';
	$MOD_LIB_SETUPHELPER['END']					= 'End Aufzeichnung';


?>
