<?php

/**  // € // to identify files as UTF8
 * Library providing support on creating SQLs during INSTALL, UPGRADE and UNINSTALL
 *
 * @module          lib_setuphelper
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-07
 * @lepador_link    http://www.lepton-cms.com/lepador/library/lib_setuphelper.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3049
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


//Modul Description
	$module_description = 'Provide an generic help during install, upgrade, uninstall, add and delete.'
	. 'For UPGRADE it automatically detects alter table needs and do neccessary actions including'
	. 'creation of a backup table before altering table.'
	. 'Additionally it provides file system cleanup support.';

// errors
	$MOD_LIB_SETUPHELPER['EMPTY_SETUP']			= 'Setup config is empty';
	$MOD_LIB_SETUPHELPER['UNKNOWN_TRIGGER']		= 'Passed trigger code is invalid';
	$MOD_LIB_SETUPHELPER['MISSING_FIELDS']		= 'No fields defined for table creation';
	$MOD_LIB_SETUPHELPER['MISSING_MANDATORY']	= 'Mandatory element missing';
	$MOD_LIB_SETUPHELPER['FAILED']				= 'Failure';
	$MOD_LIB_SETUPHELPER['SQL_ERROR']			= 'Error during SQL execution';

// infos
	$MOD_LIB_SETUPHELPER['DO_FALSE']				= 'DO action has been switched off.';
	$MOD_LIB_SETUPHELPER['CHECK']				= 'Data check';
	$MOD_LIB_SETUPHELPER['QUERY']				= 'Query content';
	$MOD_LIB_SETUPHELPER['CONTENT']				= 'Information content';
	$MOD_LIB_SETUPHELPER['START']				= 'Start logging';
	$MOD_LIB_SETUPHELPER['END']					= 'End logging';

?>
